Page MenuHomePhabricator

Use correct legal wording for preference for viewing IP addresses used by temporary accounts
Closed, ResolvedPublic2 Estimated Story Points

Assigned To
Authored By
Tchanders
Jan 18 2023, 1:41 PM
Referenced Files
F49735632: image.png
Thu, May 2, 2:45 AM
F49734728: image.png
Thu, May 2, 2:45 AM
F49731321: image.png
Thu, May 2, 2:45 AM
F49721926: image.png
Thu, May 2, 2:45 AM
F49716119: image.png
Thu, May 2, 2:45 AM
F49490791: image.png
Tue, Apr 30, 5:57 PM
F42028312: image.png
Feb 21 2024, 9:24 PM
F41649978: 2024-01-03_10-00-07.png
Jan 4 2024, 12:26 AM

Description

Background

This preference was added in T326736: Create preference for viewing IP addresses used by temporary accounts. We want to update the preference wording based on Legal's advice.

Acceptance criteria

Update the preference text to the following:

Before enabling this setting, you must read and agree to the “Access to Temporary Account IP Addresses Policy”. In particular:
You must meet the eligibility criteria described in the Policy;
You must not access, use or disclose information about temporary account IP addresses except if it is reasonably necessary for the investigation of or enforcement against vandalism, abuse, spam, harassment, disruptive behavior, and other violations of Wikimedia Foundation or community policies. If you do share the information with others, you must be sensitive about where and how you do that, and you should remove the information when it is no longer reasonably necessary for others to see it.
If you have read and agree to the Policy, you may enable the preference by checking the checkbox.

QA Results - Patch Demo

Event Timeline

Tchanders changed the task status from Open to Stalled.Mar 3 2023, 5:37 PM

Stalled pending legal advice

Tchanders changed the task status from Stalled to Open.Nov 29 2023, 9:49 AM

Change 984629 had a related patch set uploaded (by Dreamy Jazz; author: Dreamy Jazz):

[mediawiki/extensions/WikimediaMessages@master] Override message checkuser-tempaccount-enable-preference

https://gerrit.wikimedia.org/r/984629

Change 984656 had a related patch set uploaded (by Dreamy Jazz; author: Dreamy Jazz):

[mediawiki/extensions/CheckUser@master] Add 'checkuser-tempaccount-preference' class to temp account preference

https://gerrit.wikimedia.org/r/984656

Dreamy_Jazz set the point value for this task to 2.Dec 21 2023, 11:44 PM

@PBradley-WMF I have included a mock for what this look like in a comment above. Can you please confirm if it looks OK?
And for the link to the policy - the link you provided originally was for the Minimum requirements section. Is that intentional?
The current patch links to the entire page. That can be changed if you feel the section is more appropriate.

Change 984656 abandoned by Dreamy Jazz:

[mediawiki/extensions/CheckUser@master] Add 'checkuser-tempaccount-preference' class to temp account preference

Reason:

No longer needed

https://gerrit.wikimedia.org/r/984656

Change 984629 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Override message checkuser-tempaccount-enable-preference

https://gerrit.wikimedia.org/r/984629

Suggested QA steps (can be performed on patchdemo):

  1. Install CheckUser and WikimediaMessages extensions (if necessary)
  2. Log in to an account that has the checkuser-temporary-account group (on patch demos this is the Patch Demo account)
  3. Load Special:Preferences
  4. Scroll down to the bottom while on the first tab named User profile
  5. Verify that the section with the Temporary account IP reveal heading looks like the following:

image.png (394×1 px, 185 KB)

@Dreamy_Jazz The Temporary account IP reveal heading matches as seen in the screenshot below. This will be moved to Done. Thanks for all your work!

Status: ✅PASS
Environment: Patch Demo w/Checkuser & WikimediaMessages
OS: macOS Sonoma 14.2.1
Browser: Chrome 120, Firefox 120, Safari 17.2, Edge 120
Skins. Vector
Device: MBA M2
Emulated Device:: n/a
Test Links:
https://patchdemo.wmflabs.org/wikis/451d64b83b/wiki/Main_Page

✅AC1: https://phabricator.wikimedia.org/T327281

2024-01-03_10-00-07.png (1×2 px, 294 KB)

Dreamy_Jazz added subscribers: Madalina, Dreamy_Jazz.

Re-assigning to @Madalina so that we can get clarification from Legal whether the updated wording is acceptable.

I'm OK with the wording/design from a legal point of view. As to Niharika's question to me above about URL destination: it's fine to link to the whole Policy.

Design-wise, two thoughts:

  • the two paras starting "You..." should be shown as list items!
  • is it clear enough to users what this checkbox does? Does that need a brief explanation here?

Design-wise, two thoughts:

  • the two paras starting "You..." should be shown as list items!

Mock-up for what this looks like:

image.png (458×1 px, 115 KB)

This comment was removed by Dreamy_Jazz.

Design-wise, two thoughts:

  • the two paras starting "You..." should be shown as list items!

Mock-up for what this looks like:

image.png (458×1 px, 115 KB)

Has this change been merged? It seems like a clear improvement to me.

is it clear enough to users what this checkbox does? Does that need a brief explanation here?

I agree with this concern - the checkbox doesn't have any 'action' associated with it, instead going straight into the policy requirements. Perhaps we could add one sentence at the start like:
Enable ability to reveal IP addresses for temporary accounts

Wordsmithing welcomed!

Design-wise, two thoughts:

  • the two paras starting "You..." should be shown as list items!

Mock-up for what this looks like:

image.png (458×1 px, 115 KB)

Has this change been merged? It seems like a clear improvement to me.

No, this has not been merged. I can work on a patch for that.

The HTML specification does not allow bullet points in this area (see https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikimediaMessages/+/984629/comment/f7990323_712807a5/ ). I had forgot about that when I made the comment above with the mockup. While it worked on Chrome, there is no guarantee it would work on other browsers.

The alternative is to put the text above the checkbox but in the same section as shown below:

image.png (302×784 px, 35 KB)

is it clear enough to users what this checkbox does? Does that need a brief explanation here?

I agree with this concern - the checkbox doesn't have any 'action' associated with it, instead going straight into the policy requirements. Perhaps we could add one sentence at the start like:
Enable ability to reveal IP addresses for temporary accounts

Wordsmithing welcomed!

I can use your suggested wording in the change to implement the use of bullet points. That can be updated easily in the patch before it is merged if it needs modification.

Change #1025833 had a related patch set uploaded (by Dreamy Jazz; author: Dreamy Jazz):

[mediawiki/extensions/CheckUser@master] Add description text for temporary account viewing preference

https://gerrit.wikimedia.org/r/1025833

Change #1025835 had a related patch set uploaded (by Dreamy Jazz; author: Dreamy Jazz):

[mediawiki/extensions/WikimediaMessages@master] Use bullet points in the temporary account preference description

https://gerrit.wikimedia.org/r/1025835

Design-wise, two thoughts:

  • the two paras starting "You..." should be shown as list items!

Mock-up for what this looks like:

image.png (458×1 px, 115 KB)

Has this change been merged? It seems like a clear improvement to me.

No, this has not been merged. I can work on a patch for that.

The HTML specification does not allow bullet points in this area (see https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikimediaMessages/+/984629/comment/f7990323_712807a5/ ). I had forgot about that when I made the comment above with the mockup. While it worked on Chrome, there is no guarantee it would work on other browsers.

The alternative is to put the text above the checkbox but in the same section as shown below:

image.png (302×784 px, 35 KB)

I think this looks good - it actually has a more logical flow to me - read this, then agree.

Thanks for the feedback. The mock-up has been written into the two open changes attached to this task which are ready for code review.

Change #1025833 merged by jenkins-bot:

[mediawiki/extensions/CheckUser@master] Add description text for temporary account viewing preference

https://gerrit.wikimedia.org/r/1025833

Change #1025835 merged by jenkins-bot:

[mediawiki/extensions/WikimediaMessages@master] Use bullet points in the temporary account preference description

https://gerrit.wikimedia.org/r/1025835

Suggested QA steps for a local wiki:

  1. Install CheckUser and WikimediaMessages extensions
  2. Add $wgGroupPermissions['sysop']['checkuser-temporary-account'] = true; to your LocalSettings.php (if it is not already defined)
  3. Log in to an account that has the sysop group
  4. Load Special:Preferences
  5. Scroll down to the bottom while on the first tab named User profile
  6. Verify that the section with the Temporary account IP reveal heading looks like the following:

image.png (302×784 px, 35 KB)

Per the ticket Description, I have verified the new code has been implemented and is functioning and displaying as expected... Good Work @Dreamy_Jazz!!!

image.png (714×1 px, 303 KB)

image.png (723×1 px, 370 KB)

image.png (756×1 px, 452 KB)

image.png (486×1 px, 195 KB)

image.png (900×644 px, 292 KB)